Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Andy Parkins <[email-masked]>
Date: Fri, 1 Dec 2006 08:34:21 +0000

On Thursday 2006 November 30 21:03, Linus Torvalds wrote:

> Yeah, I think it would probably make sense. I also think it would make
> sense to rename "update-index" entirely, or at least offer other names for

How about this:

git-update-index becomes plumbing only - never expect a user to run it.

Hence,

git-add becomes git-prepare and does
 a) update-index --add
    when the file being "prepared" is not tracked
 b) update-index
    when the file is already tracked

git-rm takes on "git-update-index --remove" (and --force-remove) with 
appropriate switches.

git-mv does what it does - it's already pretty perfect

git-cp gets added; even though it's simply "cp a b; git-prepare b"

Obviously with all the details that I've left out filled in.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE